try_to_release_page
Prev | More Memory Management Functions | Next

## Name

try_to_release_page — release old fs-specific metadata on a page

## Synopsis

`int try_to_release_page (` | struct page * | page,
| gfp_t | gfp_mask`)`;

## Arguments

`page`

  the page which the kernel is trying to free

`gfp_mask`

  memory allocation flags (and I/O mode)

## Description

The address_space is to try to release any data against the page (presumably at page->private). If the release was successful, return `1'. Otherwise return zero.

The `gfp_mask` argument specifies whether I/O may be performed to release this page (__GFP_IO), and whether the call may block (__GFP_WAIT).

## Description

The address_space is to try to release any data against the page (presumably at page->private). If the release was successful, return `1'. Otherwise return zero.

The `gfp_mask` argument specifies whether I/O may be performed to release this page (__GFP_IO), and whether the call may block (__GFP_WAIT).

## NOTE

`gfp_mask` may go away, and this function may become non-blocking.

Prev | Up | Next
read_cache_page | Home | vm_insert_page